<?php
function nvr_get_sidebar_position($postid){
	$shortname = THE_SHORTNAME;
	$initial = THE_INITIAL;
	
	$pid = nvr_get_postid();
	$custom = nvr_get_customdata($pid);
	
	if(isset($postid)){
		$custom = nvr_get_customdata($postid);
	}
	
	$pagelayoutall = array('one-col','two-col-left','two-col-right');
	
	$sidebarposition = nvr_get_option( $shortname . '_sidebar_position' ,'two-col-left'); 
	$pagelayout = ($sidebarposition!="")? $sidebarposition : 'two-col-left';
	if(isset( $custom['_'.$initial.'_layout'][0] ) && $custom['_'.$initial.'_layout'][0]!='default'){
		$pagelayout = $custom['_'.$initial.'_layout'][0];
	}
	
	if(isset($_GET['sidebar_layout']) && in_array($_GET['sidebar_layout'],$pagelayoutall)){
		$pagelayout = esc_html($_GET['sidebar_layout']);
	}
	return $pagelayout;
}
function nvr_pf_get_image($imgsize, $postid=""){

	global $post;
	if($postid==""){
		$postid = get_the_ID();
	}

	$custom = get_post_custom( $postid );
	$cf_thumb = (isset($custom["custom_thumb"][0]))? $custom["custom_thumb"][0] : "";
	$cf_externallink = (isset($custom["external_link"][0]))? $custom["external_link"][0] : "";
	if(isset($custom["lightbox_img"])){
		$checklightbox = $custom["lightbox_img"] ; 
		$cf_lightbox = array();
		for($i=0;$i<count($checklightbox);$i++){
			if($checklightbox[$i]){
				$cf_lightbox[] = $checklightbox[$i];
			}
		}
		if(!count($cf_lightbox)){
			$cf_lightbox = "";
		}
	}else{
		$cf_lightbox = "";
	}
	
	
	/*get recent-portfolio-post-thumbnail*/
	$qrychildren = array(
		'post_parent' => $postid ,
		'post_status' => null,
		'post_type' => 'attachment',
		'order_by' => 'menu_order',
		'order' => 'ASC',
		'post_mime_type' => 'image'
	);

	$attachments = get_children( $qrychildren );
	
	$cf_thumb2 = array();
	$cf_full2 = "";
	$z = 1;
	foreach ( $attachments as $att_id => $attachment ) {
		$getimage = wp_get_attachment_image_src($att_id, $imgsize, true);
		$portfolioimage = $getimage[0];
		$alttext = get_post_meta( $attachment->ID , '_wp_attachment_image_alt', true);
		$image_title = $attachment->post_title;
		$caption = $attachment->post_excerpt;
		$description = $attachment->post_content;
		$cf_thumb2[] ='<img src="'.$portfolioimage.'" alt="'.$alttext.'" title="'. $image_title .'" class="scale-with-grid" />';
		
		$getfullimage = wp_get_attachment_image_src($att_id, 'full', true);
		$fullimage = $getfullimage[0];
		
		if($z==1){
			$fullimageurl = $fullimage;
			$fullimagetitle = $image_title;
			$fullimagealt = $alttext;
		}elseif($att_id == get_post_thumbnail_id( $postid ) ){
			$cf_full2 ='<a data-rel="prettyPhoto['.$post->post_name.']" href="'.$fullimageurl.'" title="'. $fullimagetitle .'" class="hidden"></a>'.$cf_full2;
			$fullimageurl = $fullimage;
			$fullimagetitle = $image_title;
			$fullimagealt = $alttext;
		}else{
			$cf_full2 .='<a data-rel="prettyPhoto['.$post->post_name.']" href="'.$fullimage.'" title="'. $image_title .'" class="hidden"></a>';
		}
		$z++;
	}
	
	if($cf_thumb!=""){
		$cf_thumb = '<img src="' . $cf_thumb . '" alt="'. get_the_title($postid) .'"  class="scale-with-grid" />';
	}elseif( has_post_thumbnail( $postid ) ){
		$cf_thumb = get_the_post_thumbnail($postid, $imgsize, array('class' => 'scale-with-grid'));
	}elseif( isset( $cf_thumb2[0] ) ){
		$cf_thumb = $cf_thumb2[0];
	}else{
		$cf_thumb = '<span class="nvr-noimage"></span>';
	}
	
	
	if($cf_externallink!=""){
		$golink = $cf_externallink;
		$rollover = "gotolink";
		$cf_full2 = '';
	}else{
		$golink = get_permalink();
		$rollover = "gotopost";
	}
	
	$bigimageurl = '';
	if( is_array($cf_lightbox) ){
		$bigimageurl = $cf_lightbox[0];
		$bigimagetitle = get_the_title();
		$rel = ' data-rel="prettyPhoto['.$post->post_name.']"';
		$cf_lightboxoutput = '';
		for($i=1;$i<count($cf_lightbox);$i++){
			$cf_lightboxoutput .='<a data-rel="prettyPhoto['.$post->post_name.']" href="'.$cf_lightbox[$i].'" title="'. get_the_title($postid) .'" class="hidden"></a>';
		}
		$cf_full2 = $cf_lightboxoutput;
	}else{
		if( isset($fullimageurl)){
			$bigimageurl = $fullimageurl; 
			$bigimagetitle = $fullimagetitle;
			$rel = ' data-rel="prettyPhoto['.$post->post_name.']"';
		}
	}
	
	$return = array(
		'bigimageurl' 	=> $bigimageurl,
		'bigimagetitle'	=> $bigimagetitle,
		'rel'			=> $rel,
		'cf_full2'		=> $cf_full2,
		'golink'		=> $golink,
		'rollover'		=> $rollover,
		'cf_thumb'		=> $cf_thumb
	);
	return $return;
}

function nvr_pf_get_box( $imgsize, $postid="",$class="", $limitchar = 250 ){

	$output = "";
	global $post;
	
	if($postid==""){
		$postid = get_the_ID();
	}
	$taxonomy_slug = 'portfoliocat';
	
	$get_image = nvr_pf_get_image($imgsize, $postid );
	extract($get_image);
	
	$output  .='<li class="'.$class.'">';
		$output  .='<div class="nvr-pf-box">';
			$output  .='<div class="nvr-pf-img">';
				$output .='<div class="rollover"></div>';
				
				$output .='<a class="image '.$rollover.'" href="'.$golink.'" title="'.get_the_title($postid).'"></a>';
				if($bigimageurl!=''){
					$output .='<a class="image zoom" href="'.$bigimageurl.'" '.$rel.' title="'.$bigimagetitle.'"></a>';
				}
				
				$output  .=$cf_thumb;
				$output  .=$cf_full2;
			$output  .='</div>';
	
			$excerpt = nvr_string_limit_char( get_the_excerpt(), $limitchar );
			$output  .='<div class="nvr-pf-text">';
			
				$output  .='<h2 class="nvr-pf-title"><a href="'.get_permalink($postid).'" title="'.get_the_title($postid).'">'.get_the_title($postid).'</a></h2>';
				 // get the terms related to post
				$terms = get_the_terms( $postid, $taxonomy_slug );
				$termarr = array();
				if ( !empty( $terms ) ) {
				  foreach ( $terms as $term ) {
					$termarr[] = '<a href="'. get_term_link( $term->slug, $taxonomy_slug ) .'">'. $term->name ."</a>";
				  }
				  
				  $output .= '<div class="nvr-pf-cat">'.implode(", ", $termarr).'</div>';
				}
				$output .= '<div class="nvr-pf-separator"></div>';
				$output .= '<div class="nvr-pf-content">'.$excerpt.'</div>';
				
			$output  .='</div>';
			$output  .='<div class="nvr-pf-clear"></div>';
		$output  .='</div>';
	$output  .='</li>';
	
	return $output; 
}

if( !function_exists('nvr_section_builder') ){
	function nvr_section_builder($sectionbuilders){

		if(isset($sectionbuilders) && is_array($sectionbuilders) && count($sectionbuilders)>0){ 
			$i = 1;
			foreach($sectionbuilders as $sectionbuilder){ 
				
				$sectionbgcolor = (isset($sectionbuilder['backgroundcolor']))? $sectionbuilder['backgroundcolor'] : '';
				$sectionbgimage = (isset($sectionbuilder['backgroundimage']))? $sectionbuilder['backgroundimage'] : '';
				$sectionclass   = (isset($sectionbuilder['customclass']))? $sectionbuilder['customclass'] : '';
				$sectioncontent = (isset($sectionbuilder['content']))? $sectionbuilder['content'] : '';
				
				if($sectioncontent==''){ continue; }
				
				$sectionstyle = '';
				if($sectionbgcolor!='' || $sectionbgimage!=''){
					$sectionstyle  = 'style="';
						if($sectionbgcolor!=''){
							$sectionstyle .= 'background-color:'.$sectionbgcolor.'; ';
						}
						if($sectionbgimage!=''){
							$sectionstyle .= 'background-image:url('.$sectionbgimage.'); ';
						}
						$sectionstyle .= 'background-repeat:no-repeat';
						$sectionstyle .= 'background-position:center';
					$sectionstyle .= '"';
				}
			?>
				<section id="outersection_<?php echo $i; ?>" class="outersection <?php echo $sectionclass; ?>" <?php echo $sectionstyle; ?>>
					<div class="container">
						<section id="innersection_<?php echo $i; ?>" class="row innersection">
							<div class="sectioncontent twelve columns">
								<?php echo do_shortcode($sectioncontent); ?>
								<div class="clearfix"></div>
							</div>
							<div class="clearfix"></div>
						</section>
					</div>
				</section>
			<?php 
				$i++;
			}//end foreach 
		}
	}
}

/*Template for comments and pingbacks. */
if ( ! function_exists( 'nvr_comment' ) ) :
function nvr_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>" class="con-comment">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 65 ); ?>
		</div><!-- .comment-author .vcard -->


		<div class="comment-body">
			<?php  printf( __( '<cite class="fn">%s</cite>', THE_LANG ), sprintf( '%s Says:', get_comment_author_link() ) ); ?>
            <span class="time">
            <a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
            <?php
                /* translators: 1: date, 2: time */
                printf( __( '%1$s %2$s', THE_LANG ), get_comment_date(),  get_comment_time() ); ?></a>
                <?php edit_comment_link( __( '(Edit)', THE_LANG ), ' ' );?>
            </span>
            <span class="reply"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ,'reply_text' => 'Reply') ) ); ?></span>
            
            <div class="clear"></div>
			<div class="commenttext">
			<?php comment_text(); ?>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Your comment is awaiting moderation.', THE_LANG ); ?></em>
			<?php endif; ?>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
			echo '<li class="post pingback">';
				echo '<p>'. __( 'Pingback:', THE_LANG ).' ';
					comment_author_link();
					edit_comment_link( __('(Edit)', THE_LANG), ' ' );
				echo '</p>';
				
			break;
	endswitch;
}
endif;

/*** WOOCOMMERCE CUSTOM FUNCTIONS ***/
if(!function_exists('nvr_productbox') && function_exists('is_woocommerce')){
	function nvr_productbox($postobj){
		
		global $post, $product, $woocommerce;
		
		setup_postdata($postobj);
		
		$licontent = "";
		ob_start();
		woocommerce_get_template_part( 'content', 'product' );
		$licontent .= ob_get_contents();
		ob_end_clean();
		
		
		return $licontent;
	}
}
if(!function_exists('nvr_productquery')){
	function nvr_productquery($number=12, $type, $cat=''){
		global $woocommerce;
		
		if(!function_exists('is_woocommerce')){ return false; }
		
		if(!is_numeric($number) || $number < 1){
			$number = 12;
		}
		
		if($type == 'featured'){
			/**********QUERY FOR FEATURED PRODUCT**********/
			$query_args = array('posts_per_page' => $number, 'no_found_rows' => 1, 'post_status' => 'publish', 'post_type' => 'product' );
			
			$query_args['meta_query'] = array();
		
			$query_args['meta_query'][] = array(
				'key' => '_featured',
				'value' => 'yes'
			);
			$query_args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
			$query_args['meta_query'][] = $woocommerce->query->visibility_meta_query();
			/**********END QUERY FOR FEATURED PRODUCT**********/
		}elseif($type == 'top-rated'){
			/**********QUERY FOR TOP-RATED PRODUCT**********/
			add_filter( 'posts_clauses',  array( $woocommerce->query, 'order_by_rating_post_clauses' ) );
		
			$query_args = array('posts_per_page' => $number, 'no_found_rows' => 1, 'post_status' => 'publish', 'post_type' => 'product' );
		
			$query_args['meta_query'] = array();
		
			$query_args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
			$query_args['meta_query'][] = $woocommerce->query->visibility_meta_query();
			/**********END QUERY FOR TOP-RATED PRODUCT**********/
		}elseif($type == 'best-selling'){
			/**********QUERY FOR BEST SELLING PRODUCT**********/
			$query_args = array(
				'posts_per_page' => $number,
				'post_status' 	 => 'publish',
				'post_type' 	 => 'product',
				'meta_key' 		 => 'total_sales',
				'orderby' 		 => 'meta_value_num',
				'no_found_rows'  => 1,
			);
		
			$query_args['meta_query'] = array();
		
			if ( isset( $instance['hide_free'] ) && 1 == $instance['hide_free'] ) {
				$query_args['meta_query'][] = array(
					'key'     => '_price',
					'value'   => 0,
					'compare' => '>',
					'type'    => 'DECIMAL',
				);
			}
		
			$query_args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
			$query_args['meta_query'][] = $woocommerce->query->visibility_meta_query();
			/**********END QUERY FOR BEST SELLING PRODUCT**********/
		}elseif($type == 'latest'){
			$query_args = array('posts_per_page' => $number, 'no_found_rows' => 1, 'orderby' => 'date', 'order' => 'DESC', 'post_status' => 'publish', 'post_type' => 'product' );
		}
		
		if($cat){
			$query_args['tax_query'] = array(
				array(
					'taxonomy' => 'product_cat',
					'field' => 'slug',
					'terms' => $cat
				)
			);
		}
		
		return $query_args;
	}
}

/*********QUICK VIEW PRODUCT**********/
add_action("wp_ajax_nvr_quickviewproduct", "nvr_quickviewproduct");
add_action("wp_ajax_nopriv_nvr_quickviewproduct", "nvr_quickviewproduct");
function nvr_quickviewproduct(){
	
	if( !wp_verify_nonce( $_REQUEST['nonce'], "nvr_quickviewproduct_nonce")) {
    	exit("No naughty business please");
	}
	
	$productid = (isset($_REQUEST["post_id"]) && $_REQUEST["post_id"]>0)? $_REQUEST["post_id"] : 0;
	
	$query_args = array(
		'post_type'	=> 'product',
		'p'			=> $productid
	);
	$outputraw = $output = '';
	$r = new WP_Query($query_args);
	if($r->have_posts()){ 

		while ($r->have_posts()){ $r->the_post(); setup_postdata($r->post);
			global $product;
			ob_start();
			woocommerce_get_template_part( 'content', 'quickview-product' );
			$outputraw = ob_get_contents();
			ob_end_clean();
		}
	}// end if ($r->have_posts())
	$output = preg_replace(array('/\s{2,}/', '/[\t\n]/'), ' ', $outputraw);
	echo $output;
	
	die();
}