<?php
/**
 * The Header for our theme.
 *
 *
 * @package WordPress
 * @subpackage Elgrande
 * @since Elgrande 1.0
 */
?><!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?> class="no-js">
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?> class="no-js">
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?> class="no-js">
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?> class="no-js">
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php nvr_document_title(); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php 
/* We add some JavaScript to pages with the comment form
 * to support sites with threaded comments (when in use).
 */
if ( is_singular() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );

/* Always have wp_head() just before the closing </head>
 * tag of your theme, or you will break many plugins, which
 * generally use this hook to add elements to <head> such
 * as styles, scripts, and meta tags.
 */

$shortname = THE_SHORTNAME;
$initial = THE_INITIAL;

wp_head(); /* the novaro' custom content for wp_head is in includes/header-functions.php */ ?>
</head><?php 

$pid = nvr_get_postid();
$custom = nvr_get_customdata($pid);
if(isset($custom["show_breadcrumb"][0])){
	if($custom["show_breadcrumb"][0]=="true"){
		$showbc = true;
	}else{
		$showbc = false;
	}
}
$showbc = true;
$cf_enableSlider 	= (isset($custom["enable_slider"][0]))? $custom["enable_slider"][0] : "";

if($cf_enableSlider=="true" && !is_search()){
	$issliderdisplayed = true;
}else{
	$issliderdisplayed = false;
}

$allsitelayout		= array('nvrlayout1','nvrlayout2','nvrlayout3','nvrlayout4','nvrlayout5','nvrlayout6','nvrlayout7');
$sitelayout			= nvr_get_option( $shortname . '_web_layout');
if(function_exists('simpleSessionGet') && nvr_get_option( $shortname . '_demo_mode' )=="1"){
	$sitelayout = simpleSessionGet('site_layout', 'nvrlayout1');
}
$cf_siteLayout	 	= (isset($custom["site_layout"][0]))? $custom["site_layout"][0] : $sitelayout;

if(!in_array($cf_siteLayout,$allsitelayout)){
	$cf_siteLayout = 'nvrlayout1';
}
if(function_exists('simpleSessionSet') && nvr_get_option( $shortname . '_demo_mode' )=="1"){
	simpleSessionSet('site_layout', $cf_siteLayout);
}
$txtContainerWidth = nvr_get_bodycontainer();

$bodyclass = array($shortname);  
$bodyclass[] = $cf_siteLayout;
if($issliderdisplayed){
	$bodyclass[] = 'nvrslideron';
}

if($txtContainerWidth>1100){
	$bodyclass[] = 'nvr1100more';
}
?>
<body <?php body_class($bodyclass); ?>>


<div id="subbody">
	<div id="outercontainer">
    
        <!-- HEADER -->
        <div id="headertext">
        	<div class="container">
                <div class="row">
                	<?php 
					/***** file: engine/header-functions.php
					- nvr_output_headertext - 5
					- nvr_output_headertext2 - 8
					- nvr_secondary_menu - 15
					- nvr_output_wpmlselector - 20
					*****/
					do_action('nvr_output_toparea');
					?>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>
        <header id="outertop">
        	<?php
			if($issliderdisplayed && $cf_siteLayout=='nvrlayout3'){
            	get_template_part( 'slider');
            }
			?>
            <div id="outerheaderwrapper">
            <div id="outerheader">
                <div class="topcontainer container">
                    <div class="row">
                    	<div class="logo columns">
							<?php nvr_logo(); /* print the logo html. file: engine/header-functions.php */?>
                            <?php
							if($cf_siteLayout=='nvrlayout6'){
								nvr_output_headertext3();
							}
							?>
                            <div class="clearfix"></div>
                        </div>
                        <?php 
							if($cf_siteLayout=='nvrlayout4'){
								nvr_primary_menu('columns'); /* file: engine/header-functions.php */
								nvr_output_searchbox(); /* file: engine/header-functions.php */
								nvr_output_minicart(); /* file: engine/header-functions.php */
							}else{
								nvr_output_minicart(); /* file: engine/header-functions.php */
								nvr_output_searchbox(); /* file: engine/header-functions.php */
								nvr_primary_menu('columns'); /* file: engine/header-functions.php */
							}
						?>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
            </div>

			<?php 
            if($issliderdisplayed && $cf_siteLayout!='nvrlayout3'){
            	get_template_part( 'slider');
            }
			
			if(!$issliderdisplayed) {
            ?>
            <!-- AFTER HEADER -->
            <div id="outerafterheader">
                <div class="container">
                    <div id="afterheader" class="row">
                        <section id="pagetitlecontainer" class="twelve columns">
                            <?php
                            get_template_part( 'title');
                            
							$pagedesc = (isset($custom['_'.$initial.'_pagedesc'][0]) && $custom['_'.$initial.'_pagedesc'][0]!="")? $custom['_'.$initial.'_pagedesc'][0] : "";
							if($pagedesc){
								echo '<span class="pagedesc">'.$pagedesc.'</span>';
							}
                            ?>
                        </section>
                        <?php if($showbc){ ?>
                        <div id="breadcrumbcontainer" class="twelve columns"><?php nvr_breadcrumb(); ?></div>
                        <?php } ?>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
            <!-- END AFTER HEADER -->
            <?php 
            }/* end if( !$issliderdisplayed ) */ 
            ?>
		</header>
        <!-- END HEADER -->
        
        <!-- MIDDLE -->
        <div id="outermiddle">
        <!-- SECTION BUILDER BEFORE CONTENT -->
		<?php 
		$sectionbuilderb = array();
		if(isset( $custom['_'.$initial.'_sectionbuilder_before'][0] )){
			$sectionbuilderb = unserialize($custom['_'.$initial.'_sectionbuilder_before'][0]);
		}
		
        nvr_section_builder($sectionbuilderb);
        ?>
        <!-- END SECTION BUILDER BEFORE CONTENT -->
        
        <?php
		$pagelayout = nvr_get_sidebar_position($pid);
		
		if($pagelayout!='one-col'){
			$mcontentclass = "hassidebar";
			if($pagelayout=="two-col-left"){
				$mcontentclass .= " mborderright";
			}else{
				$mcontentclass .= " mborderleft";
			}
		}else{
			$mcontentclass = "twelve columns nosidebar";
		}
		?>
        <!-- MAIN CONTENT -->
        <div id="outermain">
        	<div id="main-gradienttop">
        	<div class="container">
            	<div class="row">
                
                <section id="maincontent" class="<?php echo $mcontentclass; ?>">
                
                <?php if($pagelayout!='one-col'){ ?>
                        
                    <section id="content" class="nine columns <?php if($pagelayout=="two-col-left"){echo "positionleft";}else{echo "positionright";}?>">
                        <div class="main">
                
                <?php } ?>
                	