<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Elgrande
 * @since Elgrande 1.0
 */

get_header(); 

$initial = THE_INITIAL;
?>

        <div id="singlepost">
        
             <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
             <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
             	<?php
                 
				$custom = get_post_custom($post->ID);
				$_post_format = get_post_format();
				switch ($_post_format) {
					case "video":
						
						$cf_vidurl = (isset($custom["_".$initial."_video_url"][0]))? $custom["_".$initial."_video_url"][0] : "";
						if($cf_vidurl!=''){
							echo '<div class="mediacontainer">'.apply_filters('the_content', $cf_vidurl)."</div>";
						}
						
					break;
					case "audio":
					
						$cf_audurl = (isset($custom["_".$initial."_audio_url"][0]))? $custom["_".$initial."_audio_url"][0] : "";
						if($cf_audurl!=''){
							echo '<div class="mediacontainer">'.apply_filters('the_content', $cf_audurl)."</div>";
						}
					
					break;
					case "gallery":
						
						$post_content = get_the_content();
						preg_match('/\[gallery.*ids=.(.*).\]/', $post_content, $ids);
						$array_id = explode(",", $ids[1]);
						
						$content =  str_replace($ids[0], "", $post_content);
						$filtered_content = apply_filters( 'the_content', $content);
						
						$sliderli = '';
						foreach($array_id as $img_id){
							$sliderli .= '<li><a href="'. get_permalink() .'">'. wp_get_attachment_image( $img_id, 'blog-post-image' ) .'</a></li>';
						}
						
						if($sliderli!=''){
							echo '<div class="gallerycontainer"><div class="flexslider"><ul class="slides">'.$sliderli."</ul></div></div>";
						}
						
					break;
					case "image":
						
						$cf_imgurl = (isset($custom["image_url"][0]))? $custom["image_url"][0] : "";
						$imgurl = "";
						/* temporary not used */
						if($cf_imgurl!=""){
							$imgurl = '<img src='. $cf_imgurl .' alt="'. get_the_title( $post->ID ).'" class="scale-with-grid"/>';
						}elseif(has_post_thumbnail($post->ID) ){
							$imgurl = get_the_post_thumbnail($post->ID, 'blog-post-image', array('class' => 'scale-with-grid'));
						}else{
							$imgurl ="";
						}
						
						if($imgurl!=''){
							echo '<div class="imgcontainer">'.$imgurl."</div>";
						}
						
					break;
					
					default :
					
					break;
				}
				?>
                <div class="entry-utility">
                    <span class="meta-author"><i class="fa fa-user"></i>&nbsp; <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) );?>"><?php the_author();?></a></span> 
                    <span class="meta-date"><i class="fa fa-calendar"></i>&nbsp; <?php the_time('M d, Y') ?></span>
                    <span class="meta-cat"><i class="fa fa-folder-open"></i>&nbsp; <?php the_category(', '); ?></span>
                    <span class="meta-comment"><i class="fa fa-comments"></i>&nbsp; <?php comments_popup_link(__('0 Comment', THE_LANG), __('1 Comment', THE_LANG), __('% Comments', THE_LANG)); ?></span>
                    <div class="clearfix"></div>
                </div>
                
                 <div class="entry-content">
                    <?php 
					if(isset($filtered_content)){
						echo do_shortcode($filtered_content);
					}else{
						the_content();
					}
					?>
                    <?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', THE_LANG ) . '</span>', 'after' => '</div>' ) ); ?>
                    <div class="clearfix"></div>
                </div>
                
             </article>
            <?php
            
            // If a user has filled out their description, show a bio on their entries.
            if ( get_the_author_meta( 'description' ) ) : ?>
            <div id="entry-author-info">
                <div id="author-avatar">
                    <?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'novaro_author_bio_avatar_size', 60 ) ); ?>
                </div><!-- author-avatar -->
                <div id="author-description">
                    <h2><span class="author"><?php printf( __( 'About %s', THE_LANG ), get_the_author() ); ?></span></h2>
                    <?php the_author_meta( 'description' ); ?>
                </div><!-- author-description	-->
            </div><!-- entry-author-info -->
            <?php endif; ?>

            <?php comments_template( '', true ); ?>
            
            <?php endwhile; ?>
        
        </div><!-- singlepost --> 
                   
<?php get_footer(); ?>