<?php
/**
 * Template Name: Portfolio
 *
 * A custom page template for portfolio page.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Elgrande
 * @since Elgrande 1.0
 */

get_header(); ?>

	<?php
    $shortname = THE_SHORTNAME;
	$initial = THE_INITIAL;
	
	
   	$pid = nvr_get_postid();
	$custom = nvr_get_customdata($pid);
    $type = (isset($custom["p_type"][0]))? $custom["p_type"][0] : "";
	$contlayout = (isset($custom["p_container"][0]))? $custom["p_container"][0] : "";
    $cats = (isset($custom["p_categories"][0]))? $custom["p_categories"][0] : "";
    $showpost = (isset($custom["p_showpost"][0]))? $custom["p_showpost"][0] : "";
    $orderby = (isset($custom["p_orderby"][0]))? $custom["p_orderby"][0] : "date";
    $ordersort = (isset($custom["p_sort"][0]))? $custom["p_sort"][0] : "DESC";
	$loadmore = (isset($custom["p_loadmore"][0]))? $custom["p_loadmore"][0] : "";
    $categories = explode(",",$cats);

	if($type==""){
		$type = 'classic-3';
	}
	$arrtype = explode("-",$type);
	$ptype = $arrtype[0];
	$column = intval($arrtype[1]);
	if($column==0){
		$freelayout = true;
	}else{
		$freelayout = false;
	}
    
    $approvedcats = array();
    foreach($categories as $category){
        $catname = get_term_by('slug',$category,"portfoliocat");
        if($catname!=false){
            $approvedcats[] = $catname;
        }
    }
    
    $catslugs = array();
    if(count($approvedcats)>1){
        echo '<ul id="filters" class="option-set clearfix " data-option-key="filter">';
            echo '<li class="alpha selected"><a href="#filter" data-option-value="*">'. __('All Categories', THE_LANG ).'</a></li>';
            $filtersli = '';
            $numli = 1;
            foreach($approvedcats as $approvedcat){
                if($numli==1){
                    $liclass = 'omega';
                }else{
                    $liclass = '';
                }
                $filtersli = '<li class="'.$liclass.'"><a href="#filter" data-option-value=".'.$approvedcat->slug.'">'.$approvedcat->name.'</a></li>'.$filtersli;
                $catslugs[] = $approvedcat->slug;
                $numli++;
            }
            echo $filtersli;
        echo '</ul>';
		$hasfilter = true;
    }elseif(count($approvedcats)==1){
		$catslugs[] = $approvedcats[0]->slug;
		$hasfilter = false;
	}else{
		$hasfilter = false;
	}

    $idnum = 0;

    if($column!= 2 && $column!= 3 && $column!= 4 ){
        $column = 3;
    }
    $pfcontainercls = "nvr-pf-col-".$column;
	$pfcontainercls .= " ".$ptype;
	$pfcontainercls .= " ".$contlayout;
    $imgsize = "portfolio-image";
    
    if($showpost==""){$showpost="-1";}
    
    $argquery = array(
        'post_type' => 'portofolio',
        'orderby' => $orderby,
        'order' => $ordersort,
        'paged' => $paged
    );
	$argquery['showposts'] = $showpost;
    
    if(count($catslugs)>0){
        $argquery['tax_query'] = array(
            array(
                'taxonomy' => 'portfoliocat',
                'field' => 'slug',
                'terms' => $catslugs
            )
        );
    }

    query_posts($argquery); 
    global $post, $wp_query;
    ?>
    <div class="nvr-pf-container row">
        <ul id="nvr-pf-filter" class="<?php echo $pfcontainercls; ?>">
    
		<?php
        while ( have_posts() ) : the_post(); 
                
                $idnum++;
                if(!$freelayout){
					if($column=="2"){
						$classpf = 'six columns ';
					}elseif($column=="4"){
						$classpf = 'three columns ';
					}else{
						$classpf = 'four columns ';
					}
				}else{
					$classpf = 'free columns ';
				}
				
				if(($idnum%$column) == 1){ $classpf .= "first ";}
            	if(($idnum%$column) == 0){$classpf .= "last ";}
                
				$custompf = get_post_custom( get_the_ID() );
				
				$pimgsize = '';
				if($ptype=='masonry'){
					$pimgsize = (isset($custompf["_".$initial."_pimgsize"][0]))? $custompf["_".$initial."_pimgsize"][0] : "";
					
					if($pimgsize=='square'){
						$imgsize = 'portfolio-image-square';
					}elseif($pimgsize=='portrait'){
						$imgsize = 'portfolio-image-portrait';
					}elseif($pimgsize=='landscape'){
						$imgsize = 'portfolio-image-landscape';
					}
					$classpf .= $pimgsize.' ';
				}elseif($ptype=='grid'){
					$imgsize = 'portfolio-image-square';
					$pimgsize='square';
				}
				$classpf .= 'imgsize-'.$pimgsize.' ';
				
                $thepfterms = get_the_terms( get_the_ID(), 'portfoliocat');
                
                $literms = "";
                if ( $thepfterms && ! is_wp_error( $thepfterms ) ){
    
                    $approvedterms = array();
                    foreach ( $thepfterms as $term ) {
                        $approvedterms[] = $term->slug;
                    }			
                    $literms = implode( " ", $approvedterms );
                }
                
                echo nvr_pf_get_box( $imgsize, get_the_ID(), $classpf.' element '.$literms );
                    
                $classpf=""; 
                    
        endwhile; // End the loop. Whew.
        ?>
        <li class="pf-clear"></li>
        </ul>
        <div class="clearfix"></div>
    </div><!-- end #nvr-portfolio -->
    
    <?php
	$infscrolls = ( $loadmore )? true : false;
	if( $infscrolls ){
	?>
	<div id="loadmore-paging">
	<div class="loadmorebutton"><?php next_posts_link( __( 'Load More', THE_LANG ) ); ?></div>
	</div>
	<?php
	}
	?>
              
    <?php /* Display navigation to next/previous pages when applicable */ ?>
    <?php if (  $wp_query->max_num_pages > 1 && !$infscrolls ) : ?>
     <?php if(function_exists('wp_pagenavi')) { ?>
         <?php wp_pagenavi(); ?>
     <?php }else{ ?>
        <div id="nav-below" class="navigation">
                <div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Previous', THE_LANG ) ); ?></div>
                <div class="nav-next"><?php previous_posts_link( __( 'Next <span class="meta-nav">&rarr;</span>', THE_LANG ) ); ?></div>
        </div><!-- #nav-below -->
    <?php }?>
    <?php endif; wp_reset_query();?>
            
    <div class="clearfix"></div><!-- clear float --
                
<?php get_footer(); ?>